#include <stdio.h>
#include <stdlib.h>

int main()
{
  int i=1,n,broj=0,x,y=55;
  
  scanf("%d",&n);
  
  while(n!=0)
  {
    x=n%10;
    if(x!=y)
    {
      y=x;
      broj=broj+x*i;
      i*=10;
    }
    n/=10;
  }
  
  printf("%d",broj);
  
  return broj;
}
